## mpegaudioparse mpegaudioparse — MPEG audio parser |

## Types and Values

struct | GstMpegAudioParse

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseParse
                        ╰── GstMpegAudioParse

## Description

Parses and frames mpeg1 audio streams. Provides seeking.

### Example launch line

    1
    2
    gst-launch-1.0 filesrc location=test.mp3 ! mpegaudioparse ! mpg123audiodec
     ! audioconvert ! audioresample ! autoaudiosink

## Synopsis

### Element Information

plugin | audioparsers
author | Jan Schmidt <thaytan@mad.scientist.com>,Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>
class | Codec/Parser/Audio

### Element Pads

name | sink
direction | sink
presence | always
details | audio/mpeg, mpegversion=(int)1

name | src
direction | source
presence | always
details | audio/mpeg, mpegversion=(int)1, layer=(int)[ 1, 3 ], mpegaudioversion=(int)[ 1, 3 ], rate=(int)[ 8000, 48000 ], channels=(int)[ 1, 2 ], parsed=(boolean)true

## Functions

## Types and Values

### struct GstMpegAudioParse

    struct GstMpegAudioParse;

The opaque GstMpegAudioParse object

## See Also

GstAmrParse, GstAACParse